<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>ASpellDict</name>
    <filename>classASpellDict.html</filename>
    <base>KSpell2::Dictionary</base>
    <member kind="function">
      <type></type>
      <name>ASpellDict</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>a1e1a605fd782fe67e86262a9dd23f5cc</anchor>
      <arglist>(const TQString &amp;lang)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>a1aed09c98c242223bb0f0c4744690cc5</anchor>
      <arglist>(const TQString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQStringList</type>
      <name>suggest</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>a980669b8459a87afb587288ab8cb0437</anchor>
      <arglist>(const TQString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>ab7e7e88bf1fa5471eb5bdd70528b2774</anchor>
      <arglist>(const TQString &amp;word, TQStringList &amp;suggestions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>a283df019ab309f69a8b41df34ef06f3f</anchor>
      <arglist>(const TQString &amp;bad, const TQString &amp;good)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>a947378b7dfac077eaa433408b7b39067</anchor>
      <arglist>(const TQString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>a3f705ef0682ddbf4649ae4d0f7844dc7</anchor>
      <arglist>(const TQString &amp;word)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HSpellDict</name>
    <filename>classHSpellDict.html</filename>
    <base>KSpell2::Dictionary</base>
    <member kind="function">
      <type></type>
      <name>HSpellDict</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>af84771b780e1799ffb91e4b5a92232bd</anchor>
      <arglist>(const TQString &amp;lang)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>a463edc332d70b060ced9246eb38a83b1</anchor>
      <arglist>(const TQString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQStringList</type>
      <name>suggest</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>a73a6314878679032f937e8a68ce47826</anchor>
      <arglist>(const TQString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>a41a081c13ae791ab001b2f7e75af31fe</anchor>
      <arglist>(const TQString &amp;word, TQStringList &amp;suggestions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>acd8a1917813c7f69a053680957735a61</anchor>
      <arglist>(const TQString &amp;bad, const TQString &amp;good)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>a87ddd1f47b3f829cecddc5ae3aa084bd</anchor>
      <arglist>(const TQString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>a74b1b651c012fea8fe7487b4f3e851f2</anchor>
      <arglist>(const TQString &amp;word)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KSpell2</name>
    <filename>namespaceKSpell2.html</filename>
    <class kind="class">KSpell2::BackgroundChecker</class>
    <class kind="class">KSpell2::Broker</class>
    <class kind="class">KSpell2::Client</class>
    <class kind="class">KSpell2::Dictionary</class>
    <class kind="struct">KSpell2::Word</class>
    <class kind="class">KSpell2::Filter</class>
    <member kind="variable" static="yes">
      <type>static Word</type>
      <name>endWord</name>
      <anchorfile>namespaceKSpell2.html</anchorfile>
      <anchor>a0fb0fc44da864f5843c99a0f4f6c68aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static KStaticDeleter&lt; Filter &gt;</type>
      <name>sd</name>
      <anchorfile>namespaceKSpell2.html</anchorfile>
      <anchor>ac9a103c3e1a785a74c23f67699065c99</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static Filter *</type>
      <name>defFilter</name>
      <anchorfile>namespaceKSpell2.html</anchorfile>
      <anchor>a6ede0a2c6ec3add9accac493c6f61e63</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::BackgroundChecker</name>
    <filename>classKSpell2_1_1BackgroundChecker.html</filename>
    <base>TQObject</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setFilter</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a468ab6a1e6f6bb76bda17e4f9be262bc</anchor>
      <arglist>(KSpell2::Filter *filter)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>start</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>ab75dfd3b01003b591340b66810f84da6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>stop</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a1507f948e96631a419647dda307d4ab6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>continueChecking</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>afa4464855f83f288a6b8f43246a34a65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>misspelling</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a8185bc197d5188c8dbcc7e30eab80a90</anchor>
      <arglist>(const TQString &amp;word, int start)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a4e7bf05cd91982ea47af2c886f37417c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BackgroundChecker</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a05b073fe812aa5fed97519747482977b</anchor>
      <arglist>(const Broker::Ptr &amp;broker, TQObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checkText</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a6bc7c32ff2857e6c7a202a5b8e63af13</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>Filter *</type>
      <name>filter</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a09dd07cbb63edfc79f129853ba2496e2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Broker *</type>
      <name>broker</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a4dd3a56ff54f404b3dc70fb6984d444b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeLanguage</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a742155b07d44e9cefb7e8719d9f41de8</anchor>
      <arglist>(const TQString &amp;lang)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkWord</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>aae491fac4ddc0d0999a000828f41701e</anchor>
      <arglist>(const TQString &amp;word)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>suggest</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a207e3a4cab005d16c7cfa3f6eb9d67be</anchor>
      <arglist>(const TQString &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addWord</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>ab54bfe895a4ef82c74b8ef2e1302c7dd</anchor>
      <arglist>(const TQString &amp;word)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotEngineDone</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>aab69819e4661ecd82fc12cccc208a8c2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual TQString</type>
      <name>getMoreText</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>aa1a0a76d2c53f2ca97ec13905480b533</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>finishedCurrentFeed</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a35c6d826b79ee96994e3752f9a66fd8d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Broker</name>
    <filename>classKSpell2_1_1Broker.html</filename>
    <base>TQObject</base>
    <member kind="typedef">
      <type>TDESharedPtr&lt; Broker &gt;</type>
      <name>Ptr</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>a716606748e07ef116d522f020c0f3236</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configurationChanged</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>a5f33f79659ed4b1c2144396239d33b83</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DefaultDictionary *</type>
      <name>defaultDictionary</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>ac17c415520a566250827219de5e3bec9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Dictionary *</type>
      <name>dictionary</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>a29ab510e6f57473692a38954711be3b8</anchor>
      <arglist>(const TQString &amp;language=TQString::null, const TQString &amp;client=TQString::null) const </arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>clients</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>a94b4dd98d1773301a2967a6037870fce</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>languages</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>a8a4b026defcb8e7e5de0567b5d7ba576</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Settings *</type>
      <name>settings</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>a7015479936e1e5768648034b99f37171</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Broker *</type>
      <name>openBroker</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>a77ac7d9d8d41a4274917ffc69cb7f27e</anchor>
      <arglist>(TDESharedConfig *config=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>a898af3f80d29b5ac194a2bd44cad9afd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>Settings</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>a720761556766a2d77ad9125743710d4c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Client</name>
    <filename>classKSpell2_1_1Client.html</filename>
    <base>TQObject</base>
    <member kind="function">
      <type></type>
      <name>Client</name>
      <anchorfile>classKSpell2_1_1Client.html</anchorfile>
      <anchor>a591e02ad14638e8f57e5b58487893056</anchor>
      <arglist>(TQObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>reliability</name>
      <anchorfile>classKSpell2_1_1Client.html</anchorfile>
      <anchor>a37bd36e2cfdd4ccacefa654fb755ad7f</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Dictionary *</type>
      <name>dictionary</name>
      <anchorfile>classKSpell2_1_1Client.html</anchorfile>
      <anchor>a90843981c81930721a763d07cc5606db</anchor>
      <arglist>(const TQString &amp;language)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQStringList</type>
      <name>languages</name>
      <anchorfile>classKSpell2_1_1Client.html</anchorfile>
      <anchor>aed1a742b504575b6b68d8d5581150622</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>name</name>
      <anchorfile>classKSpell2_1_1Client.html</anchorfile>
      <anchor>ab0b81e54c58c516c78fe31882aae595b</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Dictionary</name>
    <filename>classKSpell2_1_1Dictionary.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>aeeb92baa905f1092773e2fbc775bbfb5</anchor>
      <arglist>(const TQString &amp;word)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQStringList</type>
      <name>suggest</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>aaeeaa725e078087f09b1b5289c591307</anchor>
      <arglist>(const TQString &amp;word)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a00968ec2249a0023c48401cd6107d8c4</anchor>
      <arglist>(const TQString &amp;word, TQStringList &amp;suggestions)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>aa98940270460c2ad9ee2edcd6fdeb8f9</anchor>
      <arglist>(const TQString &amp;bad, const TQString &amp;good)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a75d961d957b2ffbb093a9ba52315afc9</anchor>
      <arglist>(const TQString &amp;word)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a54d286d82300ae4a9baf4a8ebab394e7</anchor>
      <arglist>(const TQString &amp;word)=0</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>language</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a838864db3404f76e0feb44fb0ecd9949</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDefault</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a2b4181c3eb238ae172a80d48aa36e4b9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Dictionary</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>aa5925f56e20ad9f4f023626864cd12bc</anchor>
      <arglist>(const TQString &amp;lang, bool def=false)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>m_language</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a399a4d6efafc7c560252198d2805810c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_default</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a32a59df77decab5f13c713fa619b51b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>Broker</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a1f539fc72a1dacd841b904a7bf77c753</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KSpell2::Word</name>
    <filename>structKSpell2_1_1Word.html</filename>
    <member kind="function">
      <type></type>
      <name>Word</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>a4b2035f3a211343e553a280c81ef8989</anchor>
      <arglist>(const TQString &amp;w, int st, bool e=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Word</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>abf6dfd12037448eaac3d6c0b4a6255d6</anchor>
      <arglist>(const Word &amp;other)</arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>word</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>abf2b17104492eabe98fb13fb45532d03</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint</type>
      <name>start</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>a80b2fce7802d788d8bf071451d9c5aba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>end</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>a30a1fa71c7172f36887fb2b2bb9c8379</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Filter</name>
    <filename>classKSpell2_1_1Filter.html</filename>
    <member kind="function">
      <type>void</type>
      <name>setSettings</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a71c8308c111b71cd17e7409b9e6c480b</anchor>
      <arglist>(Settings *)</arglist>
    </member>
    <member kind="function">
      <type>Settings *</type>
      <name>settings</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>acbe110cc6719a25084b844361296ef93</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>atEnd</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a1b1d8a39004527c5df09124315803dd5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBuffer</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a28b1d9e8ce155e56fe7df35e133d9f7b</anchor>
      <arglist>(const TQString &amp;buffer)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>buffer</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a700cb38b72588b252e3d6abb3bd390e5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restart</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>af86b90496a1d20b71478e049f83715fe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Word</type>
      <name>nextWord</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>adf6a1c6084f858659bf61012bebf98a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Word</type>
      <name>previousWord</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a5fbf6390f61cd39c037ebc7461876e56</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Word</type>
      <name>wordAtPosition</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a9aa8df0c14edee6e4227e0ea9480a54c</anchor>
      <arglist>(unsigned int pos) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setCurrentPosition</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a680ee3cba9765876b24602f2d1e023da</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>currentPosition</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a2260d9743b558ef5b015d1067d057efd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>replace</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>ae3b62417aa26bd31e86db774a89130b5</anchor>
      <arglist>(const Word &amp;w, const TQString &amp;newWord)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>context</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a3e1ac26a2d64e06cee5201ed617efdfe</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Filter *</type>
      <name>defaultFilter</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a3850dd4294e79c8e8a90bd65be900f27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Word</type>
      <name>end</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a9302e5d6745fefd0d6c10af33b86c7da</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>trySkipLinks</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a0296d549b5502423d37770ea7a766cb5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>ignore</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a07a043cb801de387bc45ca2dd28a49ec</anchor>
      <arglist>(const TQString &amp;word) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TQChar</type>
      <name>skipToLetter</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>ac96657553448082c8531e470962af13d</anchor>
      <arglist>(uint &amp;fromPosition) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>shouldBeSkipped</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a1ced7112340a2af178e3eb4b48972ec9</anchor>
      <arglist>(bool wordWasUppercase, bool wordWasRunTogether, const TQString &amp;foundWord) const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>m_buffer</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a361803d960260ec1b8a64e27286e80f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>m_currentPosition</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>adefd138ecabde4d442828292910367bd</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
