<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="namespace">
    <name>KTextEditor</name>
    <filename>namespaceKTextEditor.html</filename>
    <class kind="class">KTextEditor::BlockSelectionDCOPInterface</class>
    <class kind="class">KTextEditor::BlockSelectionInterface</class>
    <class kind="class">KTextEditor::ClipboardDCOPInterface</class>
    <class kind="class">KTextEditor::ClipboardInterface</class>
    <class kind="class">KTextEditor::CompletionEntry</class>
    <class kind="class">KTextEditor::CodeCompletionInterface</class>
    <class kind="class">KTextEditor::ConfigInterface</class>
    <class kind="class">KTextEditor::ConfigInterfaceExtension</class>
    <class kind="class">KTextEditor::Cursor</class>
    <class kind="class">KTextEditor::CursorInterface</class>
    <class kind="class">KTextEditor::Document</class>
    <class kind="class">KTextEditor::DocumentInfoDCOPInterface</class>
    <class kind="class">KTextEditor::DocumentInfoInterface</class>
    <class kind="class">KTextEditor::DynWordWrapInterface</class>
    <class kind="class">KTextEditor::EditDCOPInterface</class>
    <class kind="class">KTextEditor::EditInterface</class>
    <class kind="class">KTextEditor::EditInterfaceExt</class>
    <class kind="class">KTextEditor::Editor</class>
    <class kind="class">KTextEditor::EncodingDCOPInterface</class>
    <class kind="class">KTextEditor::EncodingInterface</class>
    <class kind="class">KTextEditor::HighlightingInterface</class>
    <class kind="class">KTextEditor::MarkInterface</class>
    <class kind="class">KTextEditor::MarkInterfaceExtension</class>
    <class kind="class">KTextEditor::Plugin</class>
    <class kind="class">KTextEditor::PluginViewInterface</class>
    <class kind="class">KTextEditor::PopupMenuInterface</class>
    <class kind="class">KTextEditor::PrintDCOPInterface</class>
    <class kind="class">KTextEditor::PrintInterface</class>
    <class kind="class">KTextEditor::SearchDCOPInterface</class>
    <class kind="class">KTextEditor::SearchInterface</class>
    <class kind="class">KTextEditor::SelectionDCOPInterface</class>
    <class kind="class">KTextEditor::SelectionExtDCOPInterface</class>
    <class kind="class">KTextEditor::SelectionInterface</class>
    <class kind="class">KTextEditor::SelectionInterfaceExt</class>
    <class kind="class">KTextEditor::SessionConfigInterface</class>
    <class kind="class">KTextEditor::TemplateInterface</class>
    <class kind="class">KTextEditor::TextHintInterface</class>
    <class kind="class">KTextEditor::UndoDCOPInterface</class>
    <class kind="class">KTextEditor::UndoInterface</class>
    <class kind="class">KTextEditor::VariableInterface</class>
    <class kind="class">KTextEditor::View</class>
    <class kind="class">KTextEditor::ViewCursorDCOPInterface</class>
    <class kind="class">KTextEditor::ViewCursorInterface</class>
    <class kind="class">KTextEditor::ViewStatusMsgDCOPInterface</class>
    <class kind="class">KTextEditor::ViewStatusMsgInterface</class>
    <class kind="class">KTextEditor::WordWrapInterface</class>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT BlockSelectionInterface *</type>
      <name>blockSelectionInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a6280007cf2d863d57d5d9cd601a27bb0</anchor>
      <arglist>(class Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT ClipboardInterface *</type>
      <name>clipboardInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a9c044820c4dac1f256d1b19469553412</anchor>
      <arglist>(class View *view)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT CodeCompletionInterface *</type>
      <name>codeCompletionInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>adec8fb345eaedde0f237d490889fe271</anchor>
      <arglist>(class View *view)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT ConfigInterface *</type>
      <name>configInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a0a0dc97745a5f8639d7b9aad6f920bec</anchor>
      <arglist>(Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT ConfigInterface *</type>
      <name>configInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>af5056b0e294431caf5a60beebf3090ca</anchor>
      <arglist>(Plugin *plugin)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT ConfigInterfaceExtension *</type>
      <name>configInterfaceExtension</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a62911a9af7b3a8da9d13556e0741c78b</anchor>
      <arglist>(Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT ConfigInterfaceExtension *</type>
      <name>configInterfaceExtension</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a261a99f10e851537ec4a2d7458b7b94c</anchor>
      <arglist>(Plugin *plugin)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT CursorInterface *</type>
      <name>cursorInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>ae9d47d0d7c7462753e5ce550b4b6b030</anchor>
      <arglist>(class Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT Document *</type>
      <name>createDocument</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>ac39fe47c5a13f8a3298cbd1678ecf2e8</anchor>
      <arglist>(const char *libname, TQObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT DynWordWrapInterface *</type>
      <name>dynWordWrapInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>aa10557284cc0707023a2ce909d5f4ca0</anchor>
      <arglist>(class View *view)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT EditInterface *</type>
      <name>editInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>af859736f66760bdd72ea755bb9c557b3</anchor>
      <arglist>(class Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT EditInterfaceExt *</type>
      <name>editInterfaceExt</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>ab566aab88a237a9012d5c85fc1728390</anchor>
      <arglist>(class Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT Editor *</type>
      <name>createEditor</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a57e6d3998965ca17f32d5c3f6c42c069</anchor>
      <arglist>(const char *libname, TQWidget *parentWidget=0, const char *widgetName=0, TQObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT EncodingInterface *</type>
      <name>encodingInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a59bd3b1d46f8eab33c6b0e39f0ef99bd</anchor>
      <arglist>(class Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT HighlightingInterface *</type>
      <name>highlightingInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a6e147c9a1152a2c058653f09b9c594aa</anchor>
      <arglist>(class Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT MarkInterface *</type>
      <name>markInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a850f85a9a5627a3ef6a70d5cb0917080</anchor>
      <arglist>(class Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT MarkInterfaceExtension *</type>
      <name>markInterfaceExtension</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a1610dbdeadbbe879535aa43798e83c53</anchor>
      <arglist>(class Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT Plugin *</type>
      <name>createPlugin</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>ae1a3e7b4e5039c1d304eacf24734a426</anchor>
      <arglist>(const char *libname, Document *document=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT PluginViewInterface *</type>
      <name>pluginViewInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a9359aa76d497067d0c1b5ccb18df30d4</anchor>
      <arglist>(Plugin *plugin)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT PopupMenuInterface *</type>
      <name>popupMenuInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a47d69714f19003b05f16e9afc479184e</anchor>
      <arglist>(class View *view)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT PrintInterface *</type>
      <name>printInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a0fddff539cfd86af171c3a880f613f66</anchor>
      <arglist>(class Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT SearchInterface *</type>
      <name>searchInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a412e39d9daad111567579b712da51c8b</anchor>
      <arglist>(class Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT SelectionInterface *</type>
      <name>selectionInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a7bc58a8bc2f293d09cafc3cde3781f98</anchor>
      <arglist>(Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT SelectionInterface *</type>
      <name>selectionInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a6e2524775ab6bcf0a311d90241d4fd1b</anchor>
      <arglist>(View *view)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT SelectionInterfaceExt *</type>
      <name>selectionInterfaceExt</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>ae49350c769cf9408f73453c5e2133c24</anchor>
      <arglist>(Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT SelectionInterfaceExt *</type>
      <name>selectionInterfaceExt</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>aee0ca9c7d4130462d49b10e5b95fb4e7</anchor>
      <arglist>(View *view)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT SessionConfigInterface *</type>
      <name>sessionConfigInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a5a45872855a8f7711af01c264675c562</anchor>
      <arglist>(class Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT SessionConfigInterface *</type>
      <name>sessionConfigInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a0e24d8e6bb33451ff36f1a3b6bac8dc6</anchor>
      <arglist>(class View *view)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT SessionConfigInterface *</type>
      <name>sessionConfigInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>abe8fa1bc6819ee0c2cec3a2f1faecb21</anchor>
      <arglist>(class Plugin *plugin)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT TemplateInterface *</type>
      <name>templateInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a96b31f2636a20000f2393268b3197e55</anchor>
      <arglist>(Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>TextHintInterface *</type>
      <name>textHintInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a8484ecf52b667990a8e2ef5f3308edd5</anchor>
      <arglist>(View *view)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT UndoInterface *</type>
      <name>undoInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>abe0dab50fe535a20f6db40211b3ca355</anchor>
      <arglist>(class Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT VariableInterface *</type>
      <name>variableInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a56fe1bacbd378cbdf7e386909611d6de</anchor>
      <arglist>(class Document *)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT ViewCursorInterface *</type>
      <name>viewCursorInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a67bcf81c1a0207428c55a66d4b35885c</anchor>
      <arglist>(class View *view)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT ViewStatusMsgInterface *</type>
      <name>viewStatusMsgInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>ada59fdfcf8b6e7314ca392db77e98c87</anchor>
      <arglist>(class View *view)</arglist>
    </member>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT WordWrapInterface *</type>
      <name>wordWrapInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a161b03d4300721dd73442fa806bdcca0</anchor>
      <arglist>(class Document *doc)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::BlockSelectionDCOPInterface</name>
    <filename>classKTextEditor_1_1BlockSelectionDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>BlockSelectionDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1BlockSelectionDCOPInterface.html</anchorfile>
      <anchor>a8a9f71173d039cbce0f2b38461fea9b9</anchor>
      <arglist>(BlockSelectionInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BlockSelectionDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1BlockSelectionDCOPInterface.html</anchorfile>
      <anchor>a193a52d793a6368fbb25abf6f4155dd0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::BlockSelectionInterface</name>
    <filename>classKTextEditor_1_1BlockSelectionInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>blockSelectionInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1BlockSelectionInterface.html</anchorfile>
      <anchor>a48eb6a5f1d1dc7e09fc6dda3ff595b6c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>blockSelectionMode</name>
      <anchorfile>classKTextEditor_1_1BlockSelectionInterface.html</anchorfile>
      <anchor>a96b684dcba74d12ce6a0775d7ce951c4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setBlockSelectionMode</name>
      <anchorfile>classKTextEditor_1_1BlockSelectionInterface.html</anchorfile>
      <anchor>acb686f1370fa922eb6f858e1938f3acb</anchor>
      <arglist>(bool on)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>toggleBlockSelectionMode</name>
      <anchorfile>classKTextEditor_1_1BlockSelectionInterface.html</anchorfile>
      <anchor>aa33f8e972e90e48da1242e2de0c18840</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setBlockSelectionInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1BlockSelectionInterface.html</anchorfile>
      <anchor>af82e03bd63d80ef5bf9cad969bbcb224</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateBlockSelectionInterface</name>
      <anchorfile>classKTextEditor_1_1BlockSelectionInterface.html</anchorfile>
      <anchor>aca1ac51573a6506c51ad1f42dee0bb0f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ClipboardDCOPInterface</name>
    <filename>classKTextEditor_1_1ClipboardDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>ClipboardDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1ClipboardDCOPInterface.html</anchorfile>
      <anchor>afe8f1e9fbdb9ea1f907913ab07b56fe1</anchor>
      <arglist>(ClipboardInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ClipboardDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1ClipboardDCOPInterface.html</anchorfile>
      <anchor>a44026724177bf003e0dfb03b2ea35614</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ClipboardInterface</name>
    <filename>classKTextEditor_1_1ClipboardInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>clipboardInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1ClipboardInterface.html</anchorfile>
      <anchor>aca3e6f6418b566e2c614664af95736dd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>copy</name>
      <anchorfile>classKTextEditor_1_1ClipboardInterface.html</anchorfile>
      <anchor>a0b1790b7b55555081dc92066b63cead8</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>cut</name>
      <anchorfile>classKTextEditor_1_1ClipboardInterface.html</anchorfile>
      <anchor>a89ca8dcf82a2256acfe242415da68bcd</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>paste</name>
      <anchorfile>classKTextEditor_1_1ClipboardInterface.html</anchorfile>
      <anchor>a0d0de9f7a80ffe58c0277916601c369a</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setClipboardInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1ClipboardInterface.html</anchorfile>
      <anchor>a7bb2f8f20bb7cdebd9fdca0030f6d556</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateClipboardInterface</name>
      <anchorfile>classKTextEditor_1_1ClipboardInterface.html</anchorfile>
      <anchor>a90e571ef06218971a53bc87cadf1f082</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::CompletionEntry</name>
    <filename>classKTextEditor_1_1CompletionEntry.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKTextEditor_1_1CompletionEntry.html</anchorfile>
      <anchor>a05a2196b6203836fa564f33e4ae8a9d6</anchor>
      <arglist>(const CompletionEntry &amp;c) const </arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>type</name>
      <anchorfile>classKTextEditor_1_1CompletionEntry.html</anchorfile>
      <anchor>a1bfc8c0488a8d0ec419c68ea0697acec</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>text</name>
      <anchorfile>classKTextEditor_1_1CompletionEntry.html</anchorfile>
      <anchor>a5d6311773d9782ea3218c01212ebee8f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>prefix</name>
      <anchorfile>classKTextEditor_1_1CompletionEntry.html</anchorfile>
      <anchor>ac60e13d330ab7c20ac2dfe674d6d969c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>postfix</name>
      <anchorfile>classKTextEditor_1_1CompletionEntry.html</anchorfile>
      <anchor>a221795401a597ae6ef6cc4d205ccf192</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>comment</name>
      <anchorfile>classKTextEditor_1_1CompletionEntry.html</anchorfile>
      <anchor>a896ec03265ee497e25592eb61a50dab0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>userdata</name>
      <anchorfile>classKTextEditor_1_1CompletionEntry.html</anchorfile>
      <anchor>ab1c639ccea3fda7b034b366e058a4232</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::CodeCompletionInterface</name>
    <filename>classKTextEditor_1_1CodeCompletionInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>codeCompletionInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>ae069374c67aa8b49676573dba0a5d473</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>showArgHint</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>a7c50588d4631181044005a2012b16976</anchor>
      <arglist>(TQStringList functionList, const TQString &amp;strWrapping, const TQString &amp;strDelimiter)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>showCompletionBox</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>a9a870b2fc395847a0bed5e0ccc303653</anchor>
      <arglist>(TQValueList&lt; CompletionEntry &gt; complList, int offset=0, bool casesensitive=true)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>completionAborted</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>acc2a70a638912b50d08b043f4c00b290</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>completionDone</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>acc7dc04c16cd875409de4bfd2464ec73</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>completionDone</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>a020dade17a3fb671cac23f15be0eb56e</anchor>
      <arglist>(CompletionEntry)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>argHintHidden</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>a13ce5f7a3b1445abd293633ce44116a6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>filterInsertString</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>a82d75361086209f980eafcf35e96bdc2</anchor>
      <arglist>(CompletionEntry *, TQString *)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setCodeCompletionInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>ac84d3ca9e7d6db43acbe2590e83a1a12</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateCodeCompletionInterface</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>aa6c2abb095a49f89fa8312788f7b6487</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ConfigInterface</name>
    <filename>classKTextEditor_1_1ConfigInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>configInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1ConfigInterface.html</anchorfile>
      <anchor>a2ac32545ab13a6af9998fc711027f54e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKTextEditor_1_1ConfigInterface.html</anchorfile>
      <anchor>abbad2337f2f7931cc5f1c927e4e708cf</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKTextEditor_1_1ConfigInterface.html</anchorfile>
      <anchor>a983df2974afe9c06662160684aedbdec</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKTextEditor_1_1ConfigInterface.html</anchorfile>
      <anchor>aea253d115adaf7310f94942e24c8e829</anchor>
      <arglist>(TDEConfig *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKTextEditor_1_1ConfigInterface.html</anchorfile>
      <anchor>a56670fdb82525276a16599741be6982b</anchor>
      <arglist>(TDEConfig *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>readSessionConfig</name>
      <anchorfile>classKTextEditor_1_1ConfigInterface.html</anchorfile>
      <anchor>a26438011a27aded3bdfcea6a5e787d43</anchor>
      <arglist>(TDEConfig *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>writeSessionConfig</name>
      <anchorfile>classKTextEditor_1_1ConfigInterface.html</anchorfile>
      <anchor>a21546db9ff0e1fb951fc510a887be4a6</anchor>
      <arglist>(TDEConfig *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>configDialog</name>
      <anchorfile>classKTextEditor_1_1ConfigInterface.html</anchorfile>
      <anchor>a52bb0985e06569c37eac8c6d318da3d4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setConfigInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1ConfigInterface.html</anchorfile>
      <anchor>a5627f8ea380ed10f7d9fb8171d9745e9</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateConfigInterface</name>
      <anchorfile>classKTextEditor_1_1ConfigInterface.html</anchorfile>
      <anchor>a8b54c4f9cbea1c6bb6ac21160c90d0ec</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ConfigInterfaceExtension</name>
    <filename>classKTextEditor_1_1ConfigInterfaceExtension.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>configInterfaceExtensionNumber</name>
      <anchorfile>classKTextEditor_1_1ConfigInterfaceExtension.html</anchorfile>
      <anchor>af80e34fd5e5adb8ca240392bd04ebbf5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>configPages</name>
      <anchorfile>classKTextEditor_1_1ConfigInterfaceExtension.html</anchorfile>
      <anchor>a50921a6ca522765e3e26fc7851e97a57</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ConfigPage *</type>
      <name>configPage</name>
      <anchorfile>classKTextEditor_1_1ConfigInterfaceExtension.html</anchorfile>
      <anchor>a5c9e01e09ada4a1a8d0202d6f6994db7</anchor>
      <arglist>(uint number=0, TQWidget *parent=0, const char *name=0)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>configPageName</name>
      <anchorfile>classKTextEditor_1_1ConfigInterfaceExtension.html</anchorfile>
      <anchor>a70baaa627dbffe0edec2aff1b0ffd8cb</anchor>
      <arglist>(uint number=0) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>configPageFullName</name>
      <anchorfile>classKTextEditor_1_1ConfigInterfaceExtension.html</anchorfile>
      <anchor>a5129a42ea8ab4f0f861661a522da333a</anchor>
      <arglist>(uint number=0) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQPixmap</type>
      <name>configPagePixmap</name>
      <anchorfile>classKTextEditor_1_1ConfigInterfaceExtension.html</anchorfile>
      <anchor>ae1e9df7f3986d3f069bc81734c164478</anchor>
      <arglist>(uint number=0, int size=TDEIcon::SizeSmall) const =0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setConfigInterfaceExtensionDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1ConfigInterfaceExtension.html</anchorfile>
      <anchor>acfb97e5f38ce133d860ec22b10291089</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateConfigInterfaceExtension</name>
      <anchorfile>classKTextEditor_1_1ConfigInterfaceExtension.html</anchorfile>
      <anchor>a734592c164ec16e5218524c72f3eaad3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::Cursor</name>
    <filename>classKTextEditor_1_1Cursor.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>position</name>
      <anchorfile>classKTextEditor_1_1Cursor.html</anchorfile>
      <anchor>ab72440de8d8b0155111312b2b0cb894b</anchor>
      <arglist>(unsigned int *line, unsigned int *col) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setPosition</name>
      <anchorfile>classKTextEditor_1_1Cursor.html</anchorfile>
      <anchor>a6e1738e307ffffb2f1bfac47fdda554a</anchor>
      <arglist>(unsigned int line, unsigned int col)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>insertText</name>
      <anchorfile>classKTextEditor_1_1Cursor.html</anchorfile>
      <anchor>a5d39236462dba34ef5266a449d9e7746</anchor>
      <arglist>(const TQString &amp;text)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>removeText</name>
      <anchorfile>classKTextEditor_1_1Cursor.html</anchorfile>
      <anchor>abaea987d28595111bbc0dc4676210bae</anchor>
      <arglist>(unsigned int numberOfCharacters)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQChar</type>
      <name>currentChar</name>
      <anchorfile>classKTextEditor_1_1Cursor.html</anchorfile>
      <anchor>aa696f809224b3d84ce11d38381b076dd</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::CursorInterface</name>
    <filename>classKTextEditor_1_1CursorInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>cursorInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1CursorInterface.html</anchorfile>
      <anchor>a09b4df623ff78c430151c29db112ddce</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Cursor *</type>
      <name>createCursor</name>
      <anchorfile>classKTextEditor_1_1CursorInterface.html</anchorfile>
      <anchor>a4d784bb1ab0dac43755fd53303b91b40</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQPtrList&lt; Cursor &gt;</type>
      <name>cursors</name>
      <anchorfile>classKTextEditor_1_1CursorInterface.html</anchorfile>
      <anchor>acac92ce899dc8612fc67048d0d30c2f9</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setCursorInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1CursorInterface.html</anchorfile>
      <anchor>a2f5d2b9f600af2d0d806299196967212</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateCursorInterface</name>
      <anchorfile>classKTextEditor_1_1CursorInterface.html</anchorfile>
      <anchor>afdb6fbb1b36b242de24ad2dfec9c3730</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::Document</name>
    <filename>classKTextEditor_1_1Document.html</filename>
    <base>KTextEditor::Editor</base>
    <member kind="function">
      <type></type>
      <name>Document</name>
      <anchorfile>classKTextEditor_1_1Document.html</anchorfile>
      <anchor>a837fc0895022fb62b958950eeb2b14fe</anchor>
      <arglist>(TQObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>documentNumber</name>
      <anchorfile>classKTextEditor_1_1Document.html</anchorfile>
      <anchor>a5636cdde894cfb3e1219f4358931978b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>documentDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1Document.html</anchorfile>
      <anchor>a06727c9e7dee6273b1eb1776f1d99183</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual class View *</type>
      <name>createView</name>
      <anchorfile>classKTextEditor_1_1Document.html</anchorfile>
      <anchor>a853d3020c24e5e0630d8c210244e21fa</anchor>
      <arglist>(TQWidget *parent, const char *name=0)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQPtrList&lt; class View &gt;</type>
      <name>views</name>
      <anchorfile>classKTextEditor_1_1Document.html</anchorfile>
      <anchor>a452c7772b69e7016a7551a03f483bd7d</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>documentListPosition</name>
      <anchorfile>classKTextEditor_1_1Document.html</anchorfile>
      <anchor>a98f662312a889244788479bf72bd1417</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDocumentListPosition</name>
      <anchorfile>classKTextEditor_1_1Document.html</anchorfile>
      <anchor>a242254be7428f4d76b9f1141448f6c10</anchor>
      <arglist>(long pos)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateDocument</name>
      <anchorfile>classKTextEditor_1_1Document.html</anchorfile>
      <anchor>a0f986c2cca9fc06a921e34589e53b0ca</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::DocumentInfoDCOPInterface</name>
    <filename>classKTextEditor_1_1DocumentInfoDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>DocumentInfoDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1DocumentInfoDCOPInterface.html</anchorfile>
      <anchor>abbf15f69a084071d1d79a3e44162dd57</anchor>
      <arglist>(DocumentInfoInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DocumentInfoDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1DocumentInfoDCOPInterface.html</anchorfile>
      <anchor>a80ef912e9222ccf5286c52148f33cc37</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::DocumentInfoInterface</name>
    <filename>classKTextEditor_1_1DocumentInfoInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>mimeType</name>
      <anchorfile>classKTextEditor_1_1DocumentInfoInterface.html</anchorfile>
      <anchor>aa5886699d07b6af588abb66720f08830</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual long</type>
      <name>fileSize</name>
      <anchorfile>classKTextEditor_1_1DocumentInfoInterface.html</anchorfile>
      <anchor>a3f153fdf31bf01cf1859ffe9880a2c0d</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>niceFileSize</name>
      <anchorfile>classKTextEditor_1_1DocumentInfoInterface.html</anchorfile>
      <anchor>ab1ae7b9e1d9abd2d579ae0bef52c2f7d</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>documentInfoInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1DocumentInfoInterface.html</anchorfile>
      <anchor>af71c2ad89c959c7b1ceb3aa9d91cd18f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setDocumentInfoInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1DocumentInfoInterface.html</anchorfile>
      <anchor>a387934cbb07273b585375c69d90a534c</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateDocumentInterface</name>
      <anchorfile>classKTextEditor_1_1DocumentInfoInterface.html</anchorfile>
      <anchor>a0673577faf354e464942ea170baa95ae</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::DynWordWrapInterface</name>
    <filename>classKTextEditor_1_1DynWordWrapInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>dynWordWrapInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1DynWordWrapInterface.html</anchorfile>
      <anchor>a3e5d30aa808e240aa83efe6ce9135257</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setDynWordWrap</name>
      <anchorfile>classKTextEditor_1_1DynWordWrapInterface.html</anchorfile>
      <anchor>aeacc697429cdbc677282f1c2bdb79f37</anchor>
      <arglist>(bool)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>dynWordWrap</name>
      <anchorfile>classKTextEditor_1_1DynWordWrapInterface.html</anchorfile>
      <anchor>a472a96b397e9f9e8c8d54e50c307c03c</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setDynWordWrapInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1DynWordWrapInterface.html</anchorfile>
      <anchor>aaebdaf80011ddc5b3facea7122ecc74a</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateDynWordWrapInterface</name>
      <anchorfile>classKTextEditor_1_1DynWordWrapInterface.html</anchorfile>
      <anchor>ae9235e890056e8ab4870fd4c5959dba0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EditDCOPInterface</name>
    <filename>classKTextEditor_1_1EditDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>EditDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1EditDCOPInterface.html</anchorfile>
      <anchor>afcdc9b541b5736aec705686027eeef99</anchor>
      <arglist>(EditInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~EditDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1EditDCOPInterface.html</anchorfile>
      <anchor>a7069e9eb3e55f199117d3891a03ce3b1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EditInterface</name>
    <filename>classKTextEditor_1_1EditInterface.html</filename>
    <member kind="function">
      <type>uint</type>
      <name>editInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a173f19e64283ce4a6090778fe3cab268</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>text</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>aa7a9c854f895d4a145af025bfb024de7</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>text</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a9958bb2dd32f9b537e4fded022c4900c</anchor>
      <arglist>(uint startLine, uint startCol, uint endLine, uint endCol) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>textLine</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a907f6d8fdb7c6b1d7c20acb64b1698eb</anchor>
      <arglist>(uint line) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>numLines</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>adad7f986747ea893c9d88888f782eab6</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>length</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a6ccd8394f7d0641e88cde79df0ad0cb0</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>lineLength</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a85dbbaab639d3232905d36aa128f7593</anchor>
      <arglist>(uint line) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setText</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>aaf8ac3b349596e510b3582cd479edd12</anchor>
      <arglist>(const TQString &amp;text)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>clear</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a651d4591e51f7f85189bb285b6eb43c2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>insertText</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a4a6b083c6ec904178e2bab5d1dce0387</anchor>
      <arglist>(uint line, uint col, const TQString &amp;text)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>removeText</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a8ba5e6bfcb64c7e7ef94f63866c16a0e</anchor>
      <arglist>(uint startLine, uint startCol, uint endLine, uint endCol)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>insertLine</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a4624e779f2b8d85533bd4101e0b08900</anchor>
      <arglist>(uint line, const TQString &amp;text)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>removeLine</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a49d74dc5e2f0036af1bac0f46be4999a</anchor>
      <arglist>(uint line)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>textChanged</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a58a3df6a76fd7e4fd3e1d0f829b96d09</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>charactersInteractivelyInserted</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>aab462b6fbf183e47c30f6e99fa3c6618</anchor>
      <arglist>(int, int, const TQString &amp;)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setEditInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a05817d23d0e9b405117dd385b5bbce6f</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateEditInterface</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a4b104b324495975d2eaae8e00f95005b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EditInterfaceExt</name>
    <filename>classKTextEditor_1_1EditInterfaceExt.html</filename>
    <member kind="function">
      <type>uint</type>
      <name>editInterfaceExtNumber</name>
      <anchorfile>classKTextEditor_1_1EditInterfaceExt.html</anchorfile>
      <anchor>a6a506ea868ba2a96ca99f2da159c5725</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>editBegin</name>
      <anchorfile>classKTextEditor_1_1EditInterfaceExt.html</anchorfile>
      <anchor>a4beb59cc13bbe83fa3b48c99fce307eb</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>editEnd</name>
      <anchorfile>classKTextEditor_1_1EditInterfaceExt.html</anchorfile>
      <anchor>aaf88fd5db47a7243304fb1a44bbdeeb4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateEditInterfaceExt</name>
      <anchorfile>classKTextEditor_1_1EditInterfaceExt.html</anchorfile>
      <anchor>a021894f8c3a5b78470a96e594b7d6856</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::Editor</name>
    <filename>classKTextEditor_1_1Editor.html</filename>
    <member kind="function">
      <type></type>
      <name>Editor</name>
      <anchorfile>classKTextEditor_1_1Editor.html</anchorfile>
      <anchor>af9038bf4380223c636d4b3015ce7a65f</anchor>
      <arglist>(TQObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>editorNumber</name>
      <anchorfile>classKTextEditor_1_1Editor.html</anchorfile>
      <anchor>afa6cf2ae248a41296e1a49c29d4e0c6e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateEditor</name>
      <anchorfile>classKTextEditor_1_1Editor.html</anchorfile>
      <anchor>a244c31147712001389da0eacec80d520</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EncodingDCOPInterface</name>
    <filename>classKTextEditor_1_1EncodingDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>EncodingDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1EncodingDCOPInterface.html</anchorfile>
      <anchor>ac4dead2b5457dc2f7a44a4143846c88b</anchor>
      <arglist>(EncodingInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~EncodingDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1EncodingDCOPInterface.html</anchorfile>
      <anchor>a19a7ba0c1aada8db50012b1653091c6e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EncodingInterface</name>
    <filename>classKTextEditor_1_1EncodingInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>encodingInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1EncodingInterface.html</anchorfile>
      <anchor>af081aee5db9a705d6484cae1709c0937</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setEncoding</name>
      <anchorfile>classKTextEditor_1_1EncodingInterface.html</anchorfile>
      <anchor>abe0503519da20abef0a20ec5285dcc91</anchor>
      <arglist>(const class TQString &amp;e)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual class TQString</type>
      <name>encoding</name>
      <anchorfile>classKTextEditor_1_1EncodingInterface.html</anchorfile>
      <anchor>ab457e79894566031342d0bfee2ef4afb</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setEncodingInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1EncodingInterface.html</anchorfile>
      <anchor>aea39732808a116333c0f4178155d9dcb</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateEncodingInterface</name>
      <anchorfile>classKTextEditor_1_1EncodingInterface.html</anchorfile>
      <anchor>a1e0082ce37836e2c0ce99db3864c7366</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::HighlightingInterface</name>
    <filename>classKTextEditor_1_1HighlightingInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>highlightingInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1HighlightingInterface.html</anchorfile>
      <anchor>a868700cdfe67e53d6e6437809ca3b11c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>hlMode</name>
      <anchorfile>classKTextEditor_1_1HighlightingInterface.html</anchorfile>
      <anchor>a244657d34cfb6789b85c0ef80624799f</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setHlMode</name>
      <anchorfile>classKTextEditor_1_1HighlightingInterface.html</anchorfile>
      <anchor>a8c9b8834fed554359a0fa6ddbb7dbe24</anchor>
      <arglist>(unsigned int mode)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>hlModeCount</name>
      <anchorfile>classKTextEditor_1_1HighlightingInterface.html</anchorfile>
      <anchor>a59e175146692a29f2090df058125bfd9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>hlModeName</name>
      <anchorfile>classKTextEditor_1_1HighlightingInterface.html</anchorfile>
      <anchor>a6249ddad6fc6bb58f94304a75693fe87</anchor>
      <arglist>(unsigned int mode)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>hlModeSectionName</name>
      <anchorfile>classKTextEditor_1_1HighlightingInterface.html</anchorfile>
      <anchor>aa3a6fc2ba5b2c3b33e757f1f8a57c2ac</anchor>
      <arglist>(unsigned int mode)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>hlChanged</name>
      <anchorfile>classKTextEditor_1_1HighlightingInterface.html</anchorfile>
      <anchor>a4a995f7557f5e77e9601bcee82239b03</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setHighlightingInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1HighlightingInterface.html</anchorfile>
      <anchor>a4082422fd8cd059682c4c42c9837e00b</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateHighlightingInterface</name>
      <anchorfile>classKTextEditor_1_1HighlightingInterface.html</anchorfile>
      <anchor>aefff8f256b177aafe1fc376608fd951b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::MarkInterface</name>
    <filename>classKTextEditor_1_1MarkInterface.html</filename>
    <member kind="enumeration">
      <name>MarkTypes</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8ee</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType01</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eeaf2471aab55a7910fb4450d51cce8dc59</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType02</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea23c07e24da915076047cd921c4621a8b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType03</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea8971a6d13db24fe3fe95bc2f9c6c3805</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType04</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea21889afbe7e38f38b4e901db153ea4ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType05</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea4ef62f766de25a6f7e950d921995b498</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType06</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea068ec7d831882c520248faecf0becf5d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType07</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea13b4ecc91bdb3a791b5726cf9de5f81b</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>markInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>aac3ecf073a56f71d03c96b676a326076</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>mark</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a6128d28595c1318a1598aa040ef825e0</anchor>
      <arglist>(uint line)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setMark</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a83983e94bc935aec4fdf5afa82f20921</anchor>
      <arglist>(uint line, uint markType)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>clearMark</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a2e9a21958d70a5fb7dd791231e8f623c</anchor>
      <arglist>(uint line)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>addMark</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a70f47acd843cf379587e3f37a9974717</anchor>
      <arglist>(uint line, uint markType)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>removeMark</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>ab024f5e74295a32ffa32e45124ece125</anchor>
      <arglist>(uint line, uint markType)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQPtrList&lt; KTextEditor::Mark &gt;</type>
      <name>marks</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>adb04f3a7c2c982823855b54d15f24f03</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>clearMarks</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a21bd3e2ce11b88fab502d5f469436d61</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>marksChanged</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a0d403628842b5f4528b05d0aea63faf7</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>reservedMarkersCount</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a1835af6cce125ad06e02775dbf41c278</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setMarkInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a08b9f142844d4ee21b474945011566bd</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateMarkInterface</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>aff067df8ea54a1fe30f1e663df888cc0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::MarkInterfaceExtension</name>
    <filename>classKTextEditor_1_1MarkInterfaceExtension.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>markInterfaceExtensionNumber</name>
      <anchorfile>classKTextEditor_1_1MarkInterfaceExtension.html</anchorfile>
      <anchor>a667f3be7a54c26990895b2060e272cf6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setPixmap</name>
      <anchorfile>classKTextEditor_1_1MarkInterfaceExtension.html</anchorfile>
      <anchor>ab68002924189fc8b1ad2f1403bfefe28</anchor>
      <arglist>(MarkInterface::MarkTypes, const TQPixmap &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setDescription</name>
      <anchorfile>classKTextEditor_1_1MarkInterfaceExtension.html</anchorfile>
      <anchor>ad4240539e5a266ff5eaa8122445ae947</anchor>
      <arglist>(MarkInterface::MarkTypes, const TQString &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setMarksUserChangable</name>
      <anchorfile>classKTextEditor_1_1MarkInterfaceExtension.html</anchorfile>
      <anchor>a51f05a1af708fd51b4beccdb730ceab9</anchor>
      <arglist>(uint markMask)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>markChanged</name>
      <anchorfile>classKTextEditor_1_1MarkInterfaceExtension.html</anchorfile>
      <anchor>a0eca108518d85b6d980de5264f1313c9</anchor>
      <arglist>(KTextEditor::Mark mark, KTextEditor::MarkInterfaceExtension::MarkChangeAction action)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setMarkInterfaceExtensionDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1MarkInterfaceExtension.html</anchorfile>
      <anchor>a918f199a1ed33c88f8d882245c103975</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateMarkInterfaceExtension</name>
      <anchorfile>classKTextEditor_1_1MarkInterfaceExtension.html</anchorfile>
      <anchor>a1e7cf2bbbdab6e803807f43e0da70b78</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::Plugin</name>
    <filename>classKTextEditor_1_1Plugin.html</filename>
    <base>TQObject</base>
    <member kind="function">
      <type></type>
      <name>Plugin</name>
      <anchorfile>classKTextEditor_1_1Plugin.html</anchorfile>
      <anchor>a879ae4b2dd214ec2b88787e57928b495</anchor>
      <arglist>(Document *document=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>pluginNumber</name>
      <anchorfile>classKTextEditor_1_1Plugin.html</anchorfile>
      <anchor>a386dad18e577de0966c7e821097395a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Document *</type>
      <name>document</name>
      <anchorfile>classKTextEditor_1_1Plugin.html</anchorfile>
      <anchor>a1e18498245b785b87db4f5ca08a0fa3d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivatePlugin</name>
      <anchorfile>classKTextEditor_1_1Plugin.html</anchorfile>
      <anchor>ad69972fcb26958ed7ac2cbce86369963</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::PluginViewInterface</name>
    <filename>classKTextEditor_1_1PluginViewInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>pluginViewInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1PluginViewInterface.html</anchorfile>
      <anchor>ac4117ddc8436c49296e2717c1db4cbb2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>addView</name>
      <anchorfile>classKTextEditor_1_1PluginViewInterface.html</anchorfile>
      <anchor>ab8499dbaa17cdcae5e3eca5bce8663e8</anchor>
      <arglist>(View *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>removeView</name>
      <anchorfile>classKTextEditor_1_1PluginViewInterface.html</anchorfile>
      <anchor>a98f4a634a42ec86614e01ec3d31215a1</anchor>
      <arglist>(View *)=0</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivatePluginViewInterface</name>
      <anchorfile>classKTextEditor_1_1PluginViewInterface.html</anchorfile>
      <anchor>ad60793f09af0be62d8222c0145636728</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::PopupMenuInterface</name>
    <filename>classKTextEditor_1_1PopupMenuInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>popupMenuInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1PopupMenuInterface.html</anchorfile>
      <anchor>a40d6afbe3e0ce42e28a814dff0680063</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>installPopup</name>
      <anchorfile>classKTextEditor_1_1PopupMenuInterface.html</anchorfile>
      <anchor>a95ee44277a6e8903b0833486d0db8091</anchor>
      <arglist>(TQPopupMenu *rmb_Menu)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPopupMenuInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1PopupMenuInterface.html</anchorfile>
      <anchor>a7809a9935afbb1d1363d73ff7a037f22</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivatePopupMenuInterface</name>
      <anchorfile>classKTextEditor_1_1PopupMenuInterface.html</anchorfile>
      <anchor>a1a9aab2a81fa156c53dad85850ecf6d7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::PrintDCOPInterface</name>
    <filename>classKTextEditor_1_1PrintDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>PrintDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1PrintDCOPInterface.html</anchorfile>
      <anchor>af047cdeeff28c42fb1a089c52d4c618a</anchor>
      <arglist>(PrintInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PrintDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1PrintDCOPInterface.html</anchorfile>
      <anchor>a95698e2dd7c6c0bf80b046e593d82b75</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::PrintInterface</name>
    <filename>classKTextEditor_1_1PrintInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>printInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1PrintInterface.html</anchorfile>
      <anchor>a4c493ed31ae3160ad66bb9d35dcb8a4d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>printDialog</name>
      <anchorfile>classKTextEditor_1_1PrintInterface.html</anchorfile>
      <anchor>ae69f1d96a0ccf94cd11b3d2f339aced4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>print</name>
      <anchorfile>classKTextEditor_1_1PrintInterface.html</anchorfile>
      <anchor>a6ddad2f77cf2e9e0caa7c9fc7945e99f</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPrintInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1PrintInterface.html</anchorfile>
      <anchor>a65493c0f3cc3bdf87e82b1639e8f3dba</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivatePrintInterface</name>
      <anchorfile>classKTextEditor_1_1PrintInterface.html</anchorfile>
      <anchor>a16a0d2893c0767d13749c5857e9a4726</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SearchDCOPInterface</name>
    <filename>classKTextEditor_1_1SearchDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>SearchDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1SearchDCOPInterface.html</anchorfile>
      <anchor>afc874432daae869c586b3e5c22039e9a</anchor>
      <arglist>(SearchInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SearchDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1SearchDCOPInterface.html</anchorfile>
      <anchor>acdfc36731b79f5e62ee8709e4686214e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SearchInterface</name>
    <filename>classKTextEditor_1_1SearchInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>searchInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1SearchInterface.html</anchorfile>
      <anchor>a018522f6411740a09af3a040402b1564</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>searchText</name>
      <anchorfile>classKTextEditor_1_1SearchInterface.html</anchorfile>
      <anchor>ab07216eb0b278ac3f7f159f09ed5b294</anchor>
      <arglist>(unsigned int startLine, unsigned int startCol, const TQString &amp;text, unsigned int *foundAtLine, unsigned int *foundAtCol, unsigned int *matchLen, bool casesensitive=true, bool backwards=false)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>searchText</name>
      <anchorfile>classKTextEditor_1_1SearchInterface.html</anchorfile>
      <anchor>a1dd6770a92b0b374524823a7707d1426</anchor>
      <arglist>(unsigned int startLine, unsigned int startCol, const TQRegExp &amp;regexp, unsigned int *foundAtLine, unsigned int *foundAtCol, unsigned int *matchLen, bool backwards=false)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSearchInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1SearchInterface.html</anchorfile>
      <anchor>a6cc63823ab7fb48236f6f933069dc281</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateSearchInterface</name>
      <anchorfile>classKTextEditor_1_1SearchInterface.html</anchorfile>
      <anchor>ab9992ce11e2fe0e7be160de189115205</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SelectionDCOPInterface</name>
    <filename>classKTextEditor_1_1SelectionDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>SelectionDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1SelectionDCOPInterface.html</anchorfile>
      <anchor>ab2666353d202c46db64ecea6588ddb75</anchor>
      <arglist>(SelectionInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SelectionDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1SelectionDCOPInterface.html</anchorfile>
      <anchor>a0e21844c5a8394bd350ac045ad61918f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SelectionExtDCOPInterface</name>
    <filename>classKTextEditor_1_1SelectionExtDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>SelectionExtDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1SelectionExtDCOPInterface.html</anchorfile>
      <anchor>a88f2911343d35d5133e904c49705a17c</anchor>
      <arglist>(SelectionInterfaceExt *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SelectionInterface</name>
    <filename>classKTextEditor_1_1SelectionInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>selectionInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>a96738c5d3ee02e981a31fb371dbf07b0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setSelection</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>a66a9a370accf41b4a9cfb2d7f0d9e073</anchor>
      <arglist>(unsigned int startLine, unsigned int startCol, unsigned int endLine, unsigned int endCol)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>clearSelection</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>a074d914d7c464e4805f593993d078721</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>hasSelection</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>adf944cd3ea0317c32bc8d2a053a7c28b</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>selection</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>a5be89782e8b85b98a3892ca92d8b3436</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>removeSelectedText</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>a163c71eaaf8b71efb687bf66bef6632d</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>selectAll</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>a8f46869ab360e2f443498d789e4411e1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>selectionChanged</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>a4fd3d453b6174116657854a114547bc3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSelectionInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>a72e8c4aabf4085efbee714cd11ff64ba</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateSelectionInterface</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>ab9b91b53a2af3d9cb4f81a9d7954efea</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SelectionInterfaceExt</name>
    <filename>classKTextEditor_1_1SelectionInterfaceExt.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>selectionInterfaceExtNumber</name>
      <anchorfile>classKTextEditor_1_1SelectionInterfaceExt.html</anchorfile>
      <anchor>abae6e69c752467f362d36efdcc4b2fa2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>selStartLine</name>
      <anchorfile>classKTextEditor_1_1SelectionInterfaceExt.html</anchorfile>
      <anchor>a5f3a9bfe0a2c36dcf44c357dd9b7c4e4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>selStartCol</name>
      <anchorfile>classKTextEditor_1_1SelectionInterfaceExt.html</anchorfile>
      <anchor>a36f7ccb3d7b88c7e02763213fb56ac00</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>selEndLine</name>
      <anchorfile>classKTextEditor_1_1SelectionInterfaceExt.html</anchorfile>
      <anchor>aa8b2ac11a74a509cccb8ea9422da6c63</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>selEndCol</name>
      <anchorfile>classKTextEditor_1_1SelectionInterfaceExt.html</anchorfile>
      <anchor>a90178931c1ba525fb17f48b93ed6f790</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSelectionInterfaceExtDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1SelectionInterfaceExt.html</anchorfile>
      <anchor>a4aaec275eeee83fddab3e73fbe210f03</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateSelectionInterfaceExt</name>
      <anchorfile>classKTextEditor_1_1SelectionInterfaceExt.html</anchorfile>
      <anchor>a72b17162501e30288a3de1432639004f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SessionConfigInterface</name>
    <filename>classKTextEditor_1_1SessionConfigInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>configInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1SessionConfigInterface.html</anchorfile>
      <anchor>ac5d7df807e1341b6c7dce7242de2e55d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>readSessionConfig</name>
      <anchorfile>classKTextEditor_1_1SessionConfigInterface.html</anchorfile>
      <anchor>a3b0b2d66bf418796759f77f0e8b2f60e</anchor>
      <arglist>(TDEConfig *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>writeSessionConfig</name>
      <anchorfile>classKTextEditor_1_1SessionConfigInterface.html</anchorfile>
      <anchor>a05964168c18d46bfa8adc4ade009bed6</anchor>
      <arglist>(TDEConfig *)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSessionConfigInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1SessionConfigInterface.html</anchorfile>
      <anchor>ac2636c5a11506ffeea2d964f5049c73a</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateSessionConfigInterface</name>
      <anchorfile>classKTextEditor_1_1SessionConfigInterface.html</anchorfile>
      <anchor>a711c5bae818aaf107460386f1adf0744</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::TemplateInterface</name>
    <filename>classKTextEditor_1_1TemplateInterface.html</filename>
    <member kind="function">
      <type>uint</type>
      <name>templateInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1TemplateInterface.html</anchorfile>
      <anchor>a4eb81372e993bd912e2a2d88fe49cc3a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>insertTemplateText</name>
      <anchorfile>classKTextEditor_1_1TemplateInterface.html</anchorfile>
      <anchor>affb40bf2a754e2a83babb18451e36686</anchor>
      <arglist>(uint line, uint column, const TQString &amp;templateString, const TQMap&lt; TQString, TQString &gt; &amp;initialValues, TQWidget *parentWindow=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>expandMacros</name>
      <anchorfile>classKTextEditor_1_1TemplateInterface.html</anchorfile>
      <anchor>a3f0fa82680fadcc0936b4cdcaa2767fe</anchor>
      <arglist>(TQMap&lt; TQString, TQString &gt; &amp;initialValues, TQWidget *parentWindow)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setTemplateInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1TemplateInterface.html</anchorfile>
      <anchor>ac8a4b41d6c168d870c513dab05e6fdf9</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual bool</type>
      <name>insertTemplateTextImplementation</name>
      <anchorfile>classKTextEditor_1_1TemplateInterface.html</anchorfile>
      <anchor>a296391e8a48bd84fbf9ae1365db4032f</anchor>
      <arglist>(uint line, uint column, const TQString &amp;templateString, const TQMap&lt; TQString, TQString &gt; &amp;initialValues, TQWidget *parentWindow=0)=0</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateTemplateInterface</name>
      <anchorfile>classKTextEditor_1_1TemplateInterface.html</anchorfile>
      <anchor>ad590932b24c5f6e4ea8353eb00d451ec</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::TextHintInterface</name>
    <filename>classKTextEditor_1_1TextHintInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>enableTextHints</name>
      <anchorfile>classKTextEditor_1_1TextHintInterface.html</anchorfile>
      <anchor>ab8771312d67a7c6f137c85b4bb5a73f3</anchor>
      <arglist>(int timeout)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>disableTextHints</name>
      <anchorfile>classKTextEditor_1_1TextHintInterface.html</anchorfile>
      <anchor>ac2994f96d1093e65109ac59fc5cc67fd</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>textHintInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1TextHintInterface.html</anchorfile>
      <anchor>a576247038539809735a2eadf88b9b430</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>needTextHint</name>
      <anchorfile>classKTextEditor_1_1TextHintInterface.html</anchorfile>
      <anchor>a69fe62232929373e62ebfbf059fa4e14</anchor>
      <arglist>(int line, int col, TQString &amp;text)=0</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateTextHintInterface</name>
      <anchorfile>classKTextEditor_1_1TextHintInterface.html</anchorfile>
      <anchor>a680ab87d5a064ac4b0832136992b5fd9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::UndoDCOPInterface</name>
    <filename>classKTextEditor_1_1UndoDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>UndoDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1UndoDCOPInterface.html</anchorfile>
      <anchor>ac9ade210a495937331dfb91b7b35a7c1</anchor>
      <arglist>(UndoInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~UndoDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1UndoDCOPInterface.html</anchorfile>
      <anchor>aadc3587bbebd3ec529391ced70243157</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::UndoInterface</name>
    <filename>classKTextEditor_1_1UndoInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>undoInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1UndoInterface.html</anchorfile>
      <anchor>ac1b43446ca352ee2c899c18cecc8a29a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>undo</name>
      <anchorfile>classKTextEditor_1_1UndoInterface.html</anchorfile>
      <anchor>a068c336dbed6de6e56d364a23f135017</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>redo</name>
      <anchorfile>classKTextEditor_1_1UndoInterface.html</anchorfile>
      <anchor>aef8c3ff8e4e954e0bd83bd406438dfc0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>clearUndo</name>
      <anchorfile>classKTextEditor_1_1UndoInterface.html</anchorfile>
      <anchor>a7d693445bc4334d21f5bc43df11279fe</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>clearRedo</name>
      <anchorfile>classKTextEditor_1_1UndoInterface.html</anchorfile>
      <anchor>a59345589fd5d8073a1d372bac040e63b</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>undoCount</name>
      <anchorfile>classKTextEditor_1_1UndoInterface.html</anchorfile>
      <anchor>aa97b2df91f696040c1f789d56998b541</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>redoCount</name>
      <anchorfile>classKTextEditor_1_1UndoInterface.html</anchorfile>
      <anchor>ac9bd3c463decb432da5b6d20e9d3a444</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>undoSteps</name>
      <anchorfile>classKTextEditor_1_1UndoInterface.html</anchorfile>
      <anchor>addf024a3efdb4bd9ad7dcca74de5ee95</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setUndoSteps</name>
      <anchorfile>classKTextEditor_1_1UndoInterface.html</anchorfile>
      <anchor>ad811b558bd047dd45faee93d97742790</anchor>
      <arglist>(unsigned int steps)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>undoChanged</name>
      <anchorfile>classKTextEditor_1_1UndoInterface.html</anchorfile>
      <anchor>abb276f0839fa953bef7ebead94bc1777</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setUndoInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1UndoInterface.html</anchorfile>
      <anchor>ad32678854c261b036f84ebae5485ebef</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateUndoInterface</name>
      <anchorfile>classKTextEditor_1_1UndoInterface.html</anchorfile>
      <anchor>a5c392e173fdc788394283abedf44a88f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::VariableInterface</name>
    <filename>classKTextEditor_1_1VariableInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>variableInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1VariableInterface.html</anchorfile>
      <anchor>a315493f6ac6ba32377989b3118528bac</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>variable</name>
      <anchorfile>classKTextEditor_1_1VariableInterface.html</anchorfile>
      <anchor>a02a328856785d59491f89ec6c880f930</anchor>
      <arglist>(const TQString &amp;name) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>variableChanged</name>
      <anchorfile>classKTextEditor_1_1VariableInterface.html</anchorfile>
      <anchor>a62a372ebe00f14426c37431e5df5b2e5</anchor>
      <arglist>(const TQString &amp;variable, const TQString &amp;value)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::View</name>
    <filename>classKTextEditor_1_1View.html</filename>
    <base>TQWidget</base>
    <member kind="function">
      <type></type>
      <name>View</name>
      <anchorfile>classKTextEditor_1_1View.html</anchorfile>
      <anchor>a74c7741448c50944d926c1c23916192e</anchor>
      <arglist>(class Document *, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>viewNumber</name>
      <anchorfile>classKTextEditor_1_1View.html</anchorfile>
      <anchor>a3223ac54c0d3e8fdd287479ad1ab7c32</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>viewDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1View.html</anchorfile>
      <anchor>a05c38c5ba41e4d160a0496581f82805f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual class Document *</type>
      <name>document</name>
      <anchorfile>classKTextEditor_1_1View.html</anchorfile>
      <anchor>af46617acaf5accb251b52625521c3afb</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateView</name>
      <anchorfile>classKTextEditor_1_1View.html</anchorfile>
      <anchor>ad7dd9ca32ba4105c3c1c37b7c08f0f2f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ViewCursorDCOPInterface</name>
    <filename>classKTextEditor_1_1ViewCursorDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>ViewCursorDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1ViewCursorDCOPInterface.html</anchorfile>
      <anchor>a5d80ab4e782675778e081a1226523d10</anchor>
      <arglist>(ViewCursorInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ViewCursorDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1ViewCursorDCOPInterface.html</anchorfile>
      <anchor>ad9e1b6bc19797c7c273179c3d43edfb7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ViewCursorInterface</name>
    <filename>classKTextEditor_1_1ViewCursorInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>viewCursorInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>a8c8c6779861ffc0aaa870286aaad68c1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual class TQPoint</type>
      <name>cursorCoordinates</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>a13d83316f5beae7a0cae440cbafeb0f7</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>cursorPosition</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>a9995ed8ea76390b98ab656dae0814efa</anchor>
      <arglist>(unsigned int *line, unsigned int *col)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>cursorPositionReal</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>a5a9cec87405a6edb45124b734f1c4ef7</anchor>
      <arglist>(unsigned int *line, unsigned int *col)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setCursorPosition</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>a2c4a3e8b5050ceb3b217ddc95843e33f</anchor>
      <arglist>(unsigned int line, unsigned int col)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setCursorPositionReal</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>a3a578a2eff187fcf751f9a24fdbbbcda</anchor>
      <arglist>(unsigned int line, unsigned int col)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>cursorLine</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>ab0ecdb8b812fac3040fe441c82148915</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>cursorColumn</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>a52052f763acf8453ecf5b0d3ffacc7a6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>cursorColumnReal</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>ac20e9767481706b2d47e42bf8b523fc9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>cursorPositionChanged</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>a7b160d0ec3ba25112b6dca744eeb9cf7</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setViewCursorInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>a8d21f3f7ca0599bcc29b28b2ff12a4d1</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateViewCursorInterface</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>ab7c6e674cab6ccbb2f727c40dc5b9aa2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ViewStatusMsgDCOPInterface</name>
    <filename>classKTextEditor_1_1ViewStatusMsgDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>ViewStatusMsgDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1ViewStatusMsgDCOPInterface.html</anchorfile>
      <anchor>a1793b6f06dcf63afcb9531c29868f133</anchor>
      <arglist>(ViewStatusMsgInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ViewStatusMsgDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1ViewStatusMsgDCOPInterface.html</anchorfile>
      <anchor>ab8b70b1d69076bf6ef930225b5226ae8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ViewStatusMsgInterface</name>
    <filename>classKTextEditor_1_1ViewStatusMsgInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>viewStatusMsgInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1ViewStatusMsgInterface.html</anchorfile>
      <anchor>ab3429167bbf70ac1c88aa912a4086ba9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>viewStatusMsg</name>
      <anchorfile>classKTextEditor_1_1ViewStatusMsgInterface.html</anchorfile>
      <anchor>a9b4ff0cdb14996a68778d86bb7120635</anchor>
      <arglist>(const class TQString &amp;msg)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setViewStatusMsgInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1ViewStatusMsgInterface.html</anchorfile>
      <anchor>a49ca2d59c7924c45d194e16631755bcd</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateViewStatusMsgInterface</name>
      <anchorfile>classKTextEditor_1_1ViewStatusMsgInterface.html</anchorfile>
      <anchor>a567be9ac910d4abfc23fd1fe08f02f55</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::WordWrapInterface</name>
    <filename>classKTextEditor_1_1WordWrapInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>wordWrapInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1WordWrapInterface.html</anchorfile>
      <anchor>a4081ebce2cf4a9519e1b3096c6cb199c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setWordWrap</name>
      <anchorfile>classKTextEditor_1_1WordWrapInterface.html</anchorfile>
      <anchor>a4c793f4ff8ec35f26cd44ab743fdfa29</anchor>
      <arglist>(bool)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>wordWrap</name>
      <anchorfile>classKTextEditor_1_1WordWrapInterface.html</anchorfile>
      <anchor>a9a4e99528083efd3af242ab3f3a5fdd7</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setWordWrapAt</name>
      <anchorfile>classKTextEditor_1_1WordWrapInterface.html</anchorfile>
      <anchor>a72f693a7c44b112661a61b100bf0c04e</anchor>
      <arglist>(unsigned int)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>wordWrapAt</name>
      <anchorfile>classKTextEditor_1_1WordWrapInterface.html</anchorfile>
      <anchor>a4373c91cd40c9d3197be414dfa36064b</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setWordWrapInterfaceDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1WordWrapInterface.html</anchorfile>
      <anchor>a8d9de4a7cb3d44b3dfeec1626902dab8</anchor>
      <arglist>(const TQCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateWordWrapInterface</name>
      <anchorfile>classKTextEditor_1_1WordWrapInterface.html</anchorfile>
      <anchor>a594b60494efc11d004c9573fd1589106</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
